void setup() {
  PORTA.DIRSET = PIN6_bm;               // sets PA6 as an output (for the LED)
  PORTA.DIRCLR = PIN7_bm;               // sets PA7 as an input (for the button)
  PORTA.PIN7CTRL |= PORT_PULLUPEN_bm;   // initializes the pullup resistor on the button pin
}

void loop() {
  if (PORTA.IN & PIN7_bm) {             // if the button pin is allowing voltage to pass (is pressed) ...
    PORTA.OUTSET = PIN6_bm;             // set the LED pin to 1 (or HIGH)
  }
  else {                                // otherwise ...
    PORTA.OUTCLR = PIN6_bm;             // set the LED pin to 0 (or LOW)
  }
}
